# Packmangroup: Multimedia
# Packmanpackagename: faad2
# Packman: Rainer Lay

Name:           faad2
Version:        2.0
Release:        2
#Packager:       Rainer <rainer@links2linux.de>
#Vendor:         Packman
#Distribution:	SuSE Linux 9.2 (i586)

Source0:        faad2-2.0.tar.bz2

Patch0:         norpmam.patch
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

Summary:	C library and frontend for decoding MPEG2/4 AAC
Summary(de):	C Bibliothek und Frontend zum Decodieren von MPEG2/4 AAC
License:	GPL2
Group:		Productivity/Multimedia/Sound/Utilities
URL:		http://www.audiocoding.com/
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}
Prefix:         %{_prefix}
BuildRequires:	xmms-devel

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.

%description -l de
FAAD 2 ist ein LC, MAIN und LTP profile, MPEG2 und MPEG-4 AAC Decoder.


%package devel
Summary: Development libraries the FAAD 2 AAC decoder.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Header files and development documentation for libfaad.

%package xmms-plugin
Summary: faad2 Xmms input plugin
Summary(de): faad2 Xmms input plugin
Group: Productivity/Multimedia/Sound/Players
Requires:	%{name} = %{version}
Requires:	xmms >= 1.2.8

%description xmms-plugin
The plugin read aac files with and without ID3tag(version 2.x), AAC files
are MPEG2 or MPEG4 files that could be found in MPEG4 audio files (.mp4).

%description -l de xmms-plugin
Das plugin liest AAC Dateien fuer xmms.


%prep
%setup -qn faad2
%patch -p1

%build
autoreconf -vif
%configure --with-mp4v2 --with-drm --with-xmms

%__make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_libdir}/*.so*

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*

%files xmms-plugin
%defattr(-, root, root)
%doc plugins/xmms/README
%{_libdir}/xmms/Input/libmp4*


%changelog
* Wed Aug 18 2004 Rainer Lay <rainer@links2linux.de> <2.0>-<0.pm.1>
- readded xmms plugin

* Mon Jun 14 2004 Rainer Lay <rainer@links2linux.de> <2.0>
- version 2.0

* Wed Apr 09 2003 Henne Vogelsang <henne@links2linux.de>
- first build and release
